<?php
require'f_cantari.php';
$nume=$_POST['nume'];
$cid=$_POST['cid'];
$pret_com=$_POST['pret_com'];
$pret_rate=$_POST['pret_rate'];
$titlu='Editeaza cantare '.$pnume;
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($nume))
{
$tip='numele cantarii '.$pinfo[3];
$text=$nume;
require'f_ban.php';
}
if(blocat($pmtext))
{
$tip='textul cantarii '.$pinfo[3];
$text=$pmtext;
require'f_ban.php';
}
if($_SERVER['REQUEST_TIME']<$pinfo[6]+15*60&&$pinfo[1]==$de||$perm>0)
{
if(($cid!=''&&$nume!=''&&$pmtext!=''?$conn->query('UPDATE`cantari`SET`nume`="'.$nume.'",`text`="'.$pmtext.'",`cid`="'.$cid.'"WHERE`id`="'.$pid.'"'):false))
{
if($de!=$pinfo[1])
{
require'f_notificare.php';
notificare('am editat cantarea ta [url=/cantare/id/'.$pid.'-'.seo($nume).']'.$nume.'[/url]!',$pinfo[1],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cântăre editata!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat categoria, numele sau textul cantarii, sau este adăugată o cantare cu acest nume!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai depasit timpul de editare, sau nu ai permisiunile necesare pentru a edita categoria, numele și textul acestei cantari!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4||preg_match('/[^0-9]/',$pret_rate)||mb_strlen($pret_rate)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la o cantare ca preț comentarii '.$pret_com.' lei, și ca preț note '.$pret_rate.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
$conn->query('UPDATE`cantari`SET`pret_com`="'.$pret_com.'",`pret_rate`="'.$pret_rate.'"WHERE`id`="'.$pid.'"&&`de`="'.$de.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei, iar ca preț pentru note, suma de <strong>'.$pret_rate.'</strong> lei!';
}
echo$div[0];
require'f_jos.php';